/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __JAVAGC_BPF_SKEL_H__
#define __JAVAGC_BPF_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct javagc_bpf {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *data_map;
		struct bpf_map *perf_map;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *handle_gc_start;
		struct bpf_program *handle_gc_end;
		struct bpf_program *handle_mem_pool_gc_start;
		struct bpf_program *handle_mem_pool_gc_end;
	} progs;
	struct {
		struct bpf_link *handle_gc_start;
		struct bpf_link *handle_gc_end;
		struct bpf_link *handle_mem_pool_gc_start;
		struct bpf_link *handle_mem_pool_gc_end;
	} links;
	struct javagc_bpf__bss {
		__u32 time;
	} *bss;

#ifdef __cplusplus
	static inline struct javagc_bpf *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct javagc_bpf *open_and_load();
	static inline int load(struct javagc_bpf *skel);
	static inline int attach(struct javagc_bpf *skel);
	static inline void detach(struct javagc_bpf *skel);
	static inline void destroy(struct javagc_bpf *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
javagc_bpf__destroy(struct javagc_bpf *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
javagc_bpf__create_skeleton(struct javagc_bpf *obj);

static inline struct javagc_bpf *
javagc_bpf__open_opts(const struct bpf_object_open_opts *opts)
{
	struct javagc_bpf *obj;
	int err;

	obj = (struct javagc_bpf *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = javagc_bpf__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	javagc_bpf__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct javagc_bpf *
javagc_bpf__open(void)
{
	return javagc_bpf__open_opts(NULL);
}

static inline int
javagc_bpf__load(struct javagc_bpf *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct javagc_bpf *
javagc_bpf__open_and_load(void)
{
	struct javagc_bpf *obj;
	int err;

	obj = javagc_bpf__open();
	if (!obj)
		return NULL;
	err = javagc_bpf__load(obj);
	if (err) {
		javagc_bpf__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
javagc_bpf__attach(struct javagc_bpf *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
javagc_bpf__detach(struct javagc_bpf *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *javagc_bpf__elf_bytes(size_t *sz);

static inline int
javagc_bpf__create_skeleton(struct javagc_bpf *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "javagc_bpf";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 3;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "data_map";
	map->map = &obj->maps.data_map;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "perf_map";
	map->map = &obj->maps.perf_map;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 2 * s->map_skel_sz);
	map->name = "javagc_b.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 4;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "handle_gc_start";
	s->progs[0].prog = &obj->progs.handle_gc_start;
	s->progs[0].link = &obj->links.handle_gc_start;

	s->progs[1].name = "handle_gc_end";
	s->progs[1].prog = &obj->progs.handle_gc_end;
	s->progs[1].link = &obj->links.handle_gc_end;

	s->progs[2].name = "handle_mem_pool_gc_start";
	s->progs[2].prog = &obj->progs.handle_mem_pool_gc_start;
	s->progs[2].link = &obj->links.handle_mem_pool_gc_start;

	s->progs[3].name = "handle_mem_pool_gc_end";
	s->progs[3].prog = &obj->progs.handle_mem_pool_gc_end;
	s->progs[3].link = &obj->links.handle_mem_pool_gc_end;

	s->data = javagc_bpf__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *javagc_bpf__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\xb0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0e\0\
\x01\x85\0\0\0\0\0\0\x08\x63\xa0\xff\xf0\0\0\0\0\x85\0\0\0\0\0\0\x0e\x77\0\0\0\
\0\0\0\x20\x63\xa0\xff\xf4\0\0\0\0\x85\0\0\0\0\0\0\x05\x7b\xa0\xff\xf8\0\0\0\0\
\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xf4\xbf\x3a\0\0\0\0\0\0\x07\x30\0\
\0\xff\xff\xff\xf0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x40\0\0\0\0\0\0\x85\
\0\0\0\0\0\0\x02\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\x85\0\
\0\0\0\0\0\x08\x63\xa0\xff\xf0\0\0\0\0\x85\0\0\0\0\0\0\x0e\x77\0\0\0\0\0\0\x20\
\x63\xa0\xff\xf4\0\0\0\0\x85\0\0\0\0\0\0\x05\x7b\xa0\xff\xf8\0\0\0\0\xbf\x7a\0\
\0\0\0\0\0\x07\x70\0\0\xff\xff\xff\xf4\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\
\x27\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\x15\0\0\x17\0\0\0\0\x79\x20\0\x08\0\0\0\0\
\x79\x1a\xff\xf8\0\0\0\0\x1f\x12\0\0\0\0\0\0\x67\x10\0\0\0\0\0\x20\x77\x10\0\0\
\0\0\0\x20\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x22\0\0\0\0\0\0\x3d\x21\0\
\x0a\0\0\0\0\x7b\xa1\xff\xf8\0\0\0\0\xbf\x4a\0\0\0\0\0\0\x07\x40\0\0\xff\xff\
\xff\xf0\xbf\x16\0\0\0\0\0\0\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x30\0\0\
\xff\xff\xff\xff\0\0\0\0\0\0\0\0\xb7\x50\0\0\0\0\0\x10\x85\0\0\0\0\0\0\x19\x18\
\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x27\0\0\0\0\0\0\x85\0\0\0\0\0\0\x03\xb7\0\
\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x08\x63\xa0\xff\xf0\0\0\0\0\x85\
\0\0\0\0\0\0\x0e\x77\0\0\0\0\0\0\x20\x63\xa0\xff\xf4\0\0\0\0\x85\0\0\0\0\0\0\
\x05\x7b\xa0\xff\xf8\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xf4\
\xbf\x3a\0\0\0\0\0\0\x07\x30\0\0\xff\xff\xff\xf0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\xb7\x40\0\0\0\0\0\0\x85\0\0\0\0\0\0\x02\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\
\0\0\xbf\x61\0\0\0\0\0\0\x85\0\0\0\0\0\0\x08\x63\xa0\xff\xf0\0\0\0\0\x85\0\0\0\
\0\0\0\x0e\x77\0\0\0\0\0\0\x20\x63\xa0\xff\xf4\0\0\0\0\x85\0\0\0\0\0\0\x05\x7b\
\xa0\xff\xf8\0\0\0\0\xbf\x7a\0\0\0\0\0\0\x07\x70\0\0\xff\xff\xff\xf4\x18\x10\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x27\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\x15\0\0\x17\
\0\0\0\0\x79\x20\0\x08\0\0\0\0\x79\x1a\xff\xf8\0\0\0\0\x1f\x12\0\0\0\0\0\0\x67\
\x10\0\0\0\0\0\x20\x77\x10\0\0\0\0\0\x20\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x61\x22\0\0\0\0\0\0\x3d\x21\0\x0a\0\0\0\0\x7b\xa1\xff\xf8\0\0\0\0\xbf\x4a\0\0\
\0\0\0\0\x07\x40\0\0\xff\xff\xff\xf0\xbf\x16\0\0\0\0\0\0\x18\x20\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x18\x30\0\0\xff\xff\xff\xff\0\0\0\0\0\0\0\0\xb7\x50\0\0\0\0\0\
\x10\x85\0\0\0\0\0\0\x19\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x27\0\0\0\0\0\
\0\x85\0\0\0\0\0\0\x03\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x44\x75\x61\x6c\x20\
\x42\x53\x44\x2f\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xeb\x9f\
\x01\0\0\0\0\x18\0\0\0\0\0\0\x05\x28\0\0\x05\x28\0\0\x04\x5c\0\0\0\0\x02\0\0\0\
\0\0\0\x03\0\0\0\x01\x01\0\0\0\0\0\0\x04\x01\0\0\x20\0\0\0\0\x03\0\0\0\0\0\0\0\
\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\x05\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\
\x02\0\0\0\0\0\0\x06\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x64\0\
\0\0\0\x02\0\0\0\0\0\0\x08\0\0\0\x19\x08\0\0\0\0\0\0\x09\0\0\0\x22\x08\0\0\0\0\
\0\0\x0a\0\0\0\x26\x08\0\0\0\0\0\0\x0b\0\0\0\x2c\x01\0\0\0\0\0\0\x04\0\0\0\x20\
\0\0\0\0\x02\0\0\0\0\0\0\x0d\0\0\0\x39\x04\0\0\x03\0\0\0\x10\0\0\0\x40\0\0\0\
\x0a\0\0\0\0\0\0\0\x44\0\0\0\x0a\0\0\0\x20\0\0\0\x48\0\0\0\x0e\0\0\0\x40\0\0\0\
\x4b\x08\0\0\0\0\0\0\x0f\0\0\0\x51\x01\0\0\0\0\0\0\x08\0\0\0\x40\0\0\0\0\x04\0\
\0\x04\0\0\0\x20\0\0\0\x64\0\0\0\x01\0\0\0\0\0\0\0\x69\0\0\0\x05\0\0\0\x40\0\0\
\0\x75\0\0\0\x07\0\0\0\x80\0\0\0\x79\0\0\0\x0c\0\0\0\xc0\0\0\0\x7f\x0e\0\0\0\0\
\0\0\x10\0\0\0\x01\0\0\0\0\x02\0\0\0\0\0\0\x13\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\x02\0\0\0\x04\0\0\0\x04\0\0\0\0\x02\0\0\0\0\0\0\x02\0\0\0\0\x04\0\0\x03\0\0\0\
\x18\0\0\0\x64\0\0\0\x12\0\0\0\0\0\0\0\x75\0\0\0\x14\0\0\0\x40\0\0\0\x79\0\0\0\
\x14\0\0\0\x80\0\0\0\x88\x0e\0\0\0\0\0\0\x15\0\0\0\x01\0\0\0\0\x02\0\0\0\0\0\0\
\x18\0\0\0\x91\x04\0\0\x06\0\0\0\xc8\0\0\0\0\0\0\0\x19\0\0\0\0\0\0\0\x99\0\0\0\
\x1c\0\0\x04\xc0\0\0\0\0\0\0\0\x22\0\0\x05\0\0\0\0\xa3\0\0\0\x1c\0\0\x05\x80\0\
\0\0\xa9\0\0\0\x1c\0\0\x05\xc0\0\0\0\xad\0\0\0\x1c\0\0\x06\0\0\0\0\0\x05\0\0\
\x02\0\0\0\x98\0\0\0\xb8\0\0\0\x1a\0\0\0\0\0\0\0\0\0\0\0\x21\0\0\0\0\0\0\0\xc2\
\x08\0\0\0\0\0\0\x1b\0\0\0\0\x04\0\0\x03\0\0\0\x98\0\0\0\xcf\0\0\0\x1d\0\0\0\0\
\0\0\0\xd4\0\0\0\x1e\0\0\0\x40\0\0\0\xd8\0\0\0\x20\0\0\0\xc0\0\0\0\xdd\x01\0\0\
\0\0\0\0\x08\0\0\0\x40\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x1c\0\0\0\x04\0\0\0\x01\
\0\0\0\xeb\x08\0\0\0\0\0\0\x1f\0\0\0\0\x04\0\0\x02\0\0\0\x10\0\0\0\xf1\0\0\0\
\x1c\0\0\0\0\0\0\0\xf6\0\0\0\x1c\0\0\0\x40\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x1c\
\0\0\0\x04\0\0\0\x10\0\0\0\0\x04\0\0\x03\0\0\0\x98\0\0\0\xcf\0\0\0\x1d\0\0\0\0\
\0\0\0\xd4\0\0\0\x1e\0\0\0\x40\0\0\0\xd8\0\0\0\x20\0\0\0\xc0\0\0\0\0\x05\0\0\
\x02\0\0\0\x10\0\0\0\0\0\0\0\x23\0\0\0\0\0\0\0\xfb\0\0\0\x24\0\0\0\0\0\0\0\0\
\x04\0\0\x03\0\0\0\x10\0\0\x01\x04\0\0\0\x0b\0\0\0\0\0\0\x01\x0d\0\0\0\x0b\0\0\
\0\x20\0\0\x01\x16\0\0\0\x1c\0\0\0\x40\0\0\0\xfb\x84\0\0\x06\0\0\0\x0c\0\0\x01\
\x24\0\0\0\x25\0\0\0\0\0\0\x01\x2a\0\0\0\x09\0\0\0\x20\0\0\x01\x32\0\0\0\x09\
\x01\0\0\x40\0\0\x01\x3d\0\0\0\x09\x01\0\0\x41\0\0\x01\x4a\0\0\0\x09\x03\0\0\
\x42\0\0\0\x64\0\0\0\x09\x03\0\0\x51\0\0\x01\x4e\x84\0\0\x05\0\0\0\x04\0\0\x01\
\x5c\0\0\0\x0a\x08\0\0\0\0\0\x01\x62\0\0\0\x0a\x01\0\0\x0c\0\0\x01\x64\0\0\0\
\x0a\x02\0\0\x0d\0\0\x01\x69\0\0\0\x0a\x01\0\0\x0f\0\0\x01\x6d\0\0\0\x0a\x10\0\
\0\x10\0\0\0\0\x0d\0\0\x01\0\0\0\x02\0\0\x01\x74\0\0\0\x17\0\0\x01\x78\x0c\0\0\
\x01\0\0\0\x26\0\0\0\0\x0d\0\0\x01\0\0\0\x02\0\0\x01\x74\0\0\0\x17\0\0\x02\x9b\
\x0c\0\0\x01\0\0\0\x28\0\0\0\0\x0d\0\0\x01\0\0\0\x02\0\0\x01\x74\0\0\0\x17\0\0\
\x03\xd7\x0c\0\0\x01\0\0\0\x2a\0\0\0\0\x0d\0\0\x01\0\0\0\x02\0\0\x01\x74\0\0\0\
\x17\0\0\x03\xf0\x0c\0\0\x01\0\0\0\x2c\0\0\x04\x37\x01\0\0\0\0\0\0\x01\x01\0\0\
\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x2e\0\0\0\x04\0\0\0\x0d\0\0\x04\x3c\x0e\0\
\0\0\0\0\0\x2f\0\0\0\x01\0\0\x04\x44\x0e\0\0\0\0\0\0\x0a\0\0\0\x01\0\0\x04\x49\
\x0f\0\0\x01\0\0\0\0\0\0\0\x31\0\0\0\0\0\0\0\x04\0\0\x04\x4e\x0f\0\0\x02\0\0\0\
\0\0\0\0\x11\0\0\0\0\0\0\0\x20\0\0\0\x16\0\0\0\0\0\0\0\x18\0\0\x04\x54\x0f\0\0\
\x01\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x0d\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\
\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x75\x69\x6e\x74\x33\
\x32\x5f\x74\0\x75\x33\x32\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\
\x64\x20\x69\x6e\x74\0\x64\x61\x74\x61\x5f\x74\0\x63\x70\x75\0\x70\x69\x64\0\
\x74\x73\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\
\x6e\x67\x20\x6c\x6f\x6e\x67\0\x74\x79\x70\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\
\x72\x69\x65\x73\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x64\x61\x74\x61\x5f\x6d\
\x61\x70\0\x70\x65\x72\x66\x5f\x6d\x61\x70\0\x70\x74\x5f\x72\x65\x67\x73\0\x6f\
\x72\x69\x67\x5f\x67\x70\x72\x32\0\x66\x6c\x61\x67\x73\0\x63\x72\x31\0\x6c\x61\
\x73\x74\x5f\x62\x72\x65\x61\x6b\0\x75\x73\x65\x72\x5f\x72\x65\x67\x73\0\x75\
\x73\x65\x72\x5f\x70\x74\x5f\x72\x65\x67\x73\0\x61\x72\x67\x73\0\x70\x73\x77\0\
\x67\x70\x72\x73\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\0\x70\
\x73\x77\x5f\x74\0\x6d\x61\x73\x6b\0\x61\x64\x64\x72\0\x74\x70\x69\x5f\x69\x6e\
\x66\x6f\0\x69\x6e\x74\x5f\x63\x6f\x64\x65\0\x69\x6e\x74\x5f\x70\x61\x72\x6d\0\
\x69\x6e\x74\x5f\x70\x61\x72\x6d\x5f\x6c\x6f\x6e\x67\0\x73\x63\x68\x69\x64\0\
\x69\x6e\x74\x70\x61\x72\x6d\0\x61\x64\x61\x70\x74\x65\x72\x5f\x49\x4f\0\x64\
\x69\x72\x65\x63\x74\x65\x64\x5f\x69\x72\x71\0\x69\x73\x63\0\x73\x75\x62\x63\
\x68\x61\x6e\x6e\x65\x6c\x5f\x69\x64\0\x63\x73\x73\x69\x64\0\x6d\0\x73\x73\x69\
\x64\0\x6f\x6e\x65\0\x73\x63\x68\x5f\x6e\x6f\0\x63\x74\x78\0\x68\x61\x6e\x64\
\x6c\x65\x5f\x67\x63\x5f\x73\x74\x61\x72\x74\0\x75\x73\x64\x74\0\x2f\x62\x75\
\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\
\x62\x63\x63\x2d\x30\x2e\x33\x31\x2e\x30\x2d\x62\x75\x69\x6c\x64\x2f\x62\x63\
\x63\x2d\x30\x2e\x33\x31\x2e\x30\x2f\x6c\x69\x62\x62\x70\x66\x2d\x74\x6f\x6f\
\x6c\x73\x2f\x6a\x61\x76\x61\x67\x63\x2e\x62\x70\x66\x2e\x63\0\x09\x64\x61\x74\
\x61\x2e\x63\x70\x75\x20\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x73\x6d\x70\
\x5f\x70\x72\x6f\x63\x65\x73\x73\x6f\x72\x5f\x69\x64\x28\x29\x3b\0\x09\x64\x61\
\x74\x61\x2e\x70\x69\x64\x20\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\
\x72\x72\x65\x6e\x74\x5f\x70\x69\x64\x5f\x74\x67\x69\x64\x28\x29\x20\x3e\x3e\
\x20\x33\x32\x3b\0\x09\x64\x61\x74\x61\x2e\x74\x73\x20\x3d\x20\x62\x70\x66\x5f\
\x6b\x74\x69\x6d\x65\x5f\x67\x65\x74\x5f\x6e\x73\x28\x29\x3b\0\x09\x62\x70\x66\
\x5f\x6d\x61\x70\x5f\x75\x70\x64\x61\x74\x65\x5f\x65\x6c\x65\x6d\x28\x26\x64\
\x61\x74\x61\x5f\x6d\x61\x70\x2c\x20\x26\x64\x61\x74\x61\x2e\x70\x69\x64\x2c\
\x20\x26\x64\x61\x74\x61\x2c\x20\x30\x29\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\
\x67\x63\x5f\x73\x74\x61\x72\x74\x28\x63\x74\x78\x29\x3b\0\x68\x61\x6e\x64\x6c\
\x65\x5f\x67\x63\x5f\x65\x6e\x64\0\x69\x6e\x74\x20\x68\x61\x6e\x64\x6c\x65\x5f\
\x67\x63\x5f\x65\x6e\x64\x28\x73\x74\x72\x75\x63\x74\x20\x70\x74\x5f\x72\x65\
\x67\x73\x20\x2a\x63\x74\x78\x29\0\x09\x70\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\
\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x26\x64\x61\x74\x61\
\x5f\x6d\x61\x70\x2c\x20\x26\x64\x61\x74\x61\x2e\x70\x69\x64\x29\x3b\0\x09\x69\
\x66\x20\x28\x21\x70\x29\0\x09\x76\x61\x6c\x20\x3d\x20\x64\x61\x74\x61\x2e\x74\
\x73\x20\x2d\x20\x70\x2d\x3e\x74\x73\x3b\0\x09\x69\x66\x20\x28\x76\x61\x6c\x20\
\x3e\x20\x74\x69\x6d\x65\x29\x20\x7b\0\x09\x09\x64\x61\x74\x61\x2e\x74\x73\x20\
\x3d\x20\x76\x61\x6c\x3b\0\x09\x09\x62\x70\x66\x5f\x70\x65\x72\x66\x5f\x65\x76\
\x65\x6e\x74\x5f\x6f\x75\x74\x70\x75\x74\x28\x63\x74\x78\x2c\x20\x26\x70\x65\
\x72\x66\x5f\x6d\x61\x70\x2c\x20\x42\x50\x46\x5f\x46\x5f\x43\x55\x52\x52\x45\
\x4e\x54\x5f\x43\x50\x55\x2c\x20\x26\x64\x61\x74\x61\x2c\x20\x73\x69\x7a\x65\
\x6f\x66\x28\x64\x61\x74\x61\x29\x29\x3b\0\x09\x62\x70\x66\x5f\x6d\x61\x70\x5f\
\x64\x65\x6c\x65\x74\x65\x5f\x65\x6c\x65\x6d\x28\x26\x64\x61\x74\x61\x5f\x6d\
\x61\x70\x2c\x20\x26\x64\x61\x74\x61\x2e\x70\x69\x64\x29\x3b\0\x09\x72\x65\x74\
\x75\x72\x6e\x20\x67\x63\x5f\x65\x6e\x64\x28\x63\x74\x78\x29\x3b\0\x68\x61\x6e\
\x64\x6c\x65\x5f\x6d\x65\x6d\x5f\x70\x6f\x6f\x6c\x5f\x67\x63\x5f\x73\x74\x61\
\x72\x74\0\x68\x61\x6e\x64\x6c\x65\x5f\x6d\x65\x6d\x5f\x70\x6f\x6f\x6c\x5f\x67\
\x63\x5f\x65\x6e\x64\0\x69\x6e\x74\x20\x68\x61\x6e\x64\x6c\x65\x5f\x6d\x65\x6d\
\x5f\x70\x6f\x6f\x6c\x5f\x67\x63\x5f\x65\x6e\x64\x28\x73\x74\x72\x75\x63\x74\
\x20\x70\x74\x5f\x72\x65\x67\x73\x20\x2a\x63\x74\x78\x29\0\x63\x68\x61\x72\0\
\x4c\x49\x43\x45\x4e\x53\x45\0\x74\x69\x6d\x65\0\x2e\x62\x73\x73\0\x2e\x6d\x61\
\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\xeb\x9f\x01\0\0\0\0\x20\0\0\0\0\0\0\0\
\x2c\0\0\0\x2c\0\0\x03\xec\0\0\x04\x18\0\0\0\0\0\0\0\x08\0\0\x01\x88\0\0\0\x04\
\0\0\0\0\0\0\0\x27\0\0\0\x88\0\0\0\x29\0\0\x01\xc8\0\0\0\x2b\0\0\x02\x50\0\0\0\
\x2d\0\0\0\x10\0\0\x01\x88\0\0\0\x3e\0\0\0\0\0\0\x01\x8d\0\0\x01\xd9\0\0\x6c\
\x0d\0\0\0\x08\0\0\x01\x8d\0\0\x01\xd9\0\0\x6c\x0b\0\0\0\x10\0\0\x01\x8d\0\0\
\x02\x01\0\0\x70\x0d\0\0\0\x18\0\0\x01\x8d\0\0\x02\x01\0\0\x70\x28\0\0\0\x20\0\
\0\x01\x8d\0\0\x02\x01\0\0\x70\x0b\0\0\0\x28\0\0\x01\x8d\0\0\x02\x2f\0\0\x74\
\x0c\0\0\0\x30\0\0\x01\x8d\0\0\x02\x2f\0\0\x74\x0a\0\0\0\x38\0\0\x01\x8d\0\0\
\x02\x01\0\0\x70\x07\0\0\0\x58\0\0\x01\x8d\0\0\x02\x4e\0\0\x78\x02\0\0\0\x78\0\
\0\x01\x8d\0\0\x02\x84\0\0\xec\x02\0\0\0\x88\0\0\x01\x8d\0\0\x02\xa9\0\0\xfc\0\
\0\0\0\x90\0\0\x01\x8d\0\0\x01\xd9\0\0\xa0\x0d\0\0\0\x98\0\0\x01\x8d\0\0\x01\
\xd9\0\0\xa0\x0b\0\0\0\xa0\0\0\x01\x8d\0\0\x02\x01\0\0\xa4\x0d\0\0\0\xa8\0\0\
\x01\x8d\0\0\x02\x01\0\0\xa4\x28\0\0\0\xb0\0\0\x01\x8d\0\0\x02\x01\0\0\xa4\x0b\
\0\0\0\xb8\0\0\x01\x8d\0\0\x02\x2f\0\0\xa8\x0c\0\0\0\xc0\0\0\x01\x8d\0\0\x02\
\x2f\0\0\xa8\x0a\0\0\0\xc8\0\0\x01\x8d\0\0\x02\x01\0\0\xa4\x07\0\0\0\xd8\0\0\
\x01\x8d\0\0\x02\xd0\0\0\xac\x06\0\0\0\xf8\0\0\x01\x8d\0\0\x03\0\0\0\xb0\x06\0\
\0\x01\0\0\0\x01\x8d\0\0\x03\x09\0\0\xbc\x15\0\0\x01\x08\0\0\x01\x8d\0\0\x03\
\x09\0\0\xbc\x0d\0\0\x01\x10\0\0\x01\x8d\0\0\x03\x09\0\0\xbc\x10\0\0\x01\x18\0\
\0\x01\x8d\0\0\x03\x09\0\0\xbc\x08\0\0\x01\x28\0\0\x01\x8d\0\0\x03\x21\0\0\xc0\
\x0c\0\0\x01\x40\0\0\x01\x8d\0\0\x03\x21\0\0\xc0\x06\0\0\x01\x48\0\0\x01\x8d\0\
\0\x03\x34\0\0\xc4\x0b\0\0\x01\x60\0\0\x01\x8d\0\0\x03\x45\0\0\xc8\x03\0\0\x01\
\x98\0\0\x01\x8d\0\0\x03\x96\0\0\xd0\x02\0\0\x01\xb8\0\0\x01\x8d\0\0\x03\xc2\0\
\x01\x04\x02\0\0\x01\xc8\0\0\x01\x8d\0\0\x01\xd9\0\0\x6c\x0d\0\0\x01\xd0\0\0\
\x01\x8d\0\0\x01\xd9\0\0\x6c\x0b\0\0\x01\xd8\0\0\x01\x8d\0\0\x02\x01\0\0\x70\
\x0d\0\0\x01\xe0\0\0\x01\x8d\0\0\x02\x01\0\0\x70\x28\0\0\x01\xe8\0\0\x01\x8d\0\
\0\x02\x01\0\0\x70\x0b\0\0\x01\xf0\0\0\x01\x8d\0\0\x02\x2f\0\0\x74\x0c\0\0\x01\
\xf8\0\0\x01\x8d\0\0\x02\x2f\0\0\x74\x0a\0\0\x02\0\0\0\x01\x8d\0\0\x02\x01\0\0\
\x70\x07\0\0\x02\x20\0\0\x01\x8d\0\0\x02\x4e\0\0\x78\x02\0\0\x02\x40\0\0\x01\
\x8d\0\0\x02\x84\0\x01\x1c\x02\0\0\x02\x50\0\0\x01\x8d\0\0\x04\x07\0\x01\x2c\0\
\0\0\x02\x58\0\0\x01\x8d\0\0\x01\xd9\0\0\xa0\x0d\0\0\x02\x60\0\0\x01\x8d\0\0\
\x01\xd9\0\0\xa0\x0b\0\0\x02\x68\0\0\x01\x8d\0\0\x02\x01\0\0\xa4\x0d\0\0\x02\
\x70\0\0\x01\x8d\0\0\x02\x01\0\0\xa4\x28\0\0\x02\x78\0\0\x01\x8d\0\0\x02\x01\0\
\0\xa4\x0b\0\0\x02\x80\0\0\x01\x8d\0\0\x02\x2f\0\0\xa8\x0c\0\0\x02\x88\0\0\x01\
\x8d\0\0\x02\x2f\0\0\xa8\x0a\0\0\x02\x90\0\0\x01\x8d\0\0\x02\x01\0\0\xa4\x07\0\
\0\x02\xa0\0\0\x01\x8d\0\0\x02\xd0\0\0\xac\x06\0\0\x02\xc0\0\0\x01\x8d\0\0\x03\
\0\0\0\xb0\x06\0\0\x02\xc8\0\0\x01\x8d\0\0\x03\x09\0\0\xbc\x15\0\0\x02\xd0\0\0\
\x01\x8d\0\0\x03\x09\0\0\xbc\x0d\0\0\x02\xd8\0\0\x01\x8d\0\0\x03\x09\0\0\xbc\
\x10\0\0\x02\xe0\0\0\x01\x8d\0\0\x03\x09\0\0\xbc\x08\0\0\x02\xf0\0\0\x01\x8d\0\
\0\x03\x21\0\0\xc0\x0c\0\0\x03\x08\0\0\x01\x8d\0\0\x03\x21\0\0\xc0\x06\0\0\x03\
\x10\0\0\x01\x8d\0\0\x03\x34\0\0\xc4\x0b\0\0\x03\x28\0\0\x01\x8d\0\0\x03\x45\0\
\0\xc8\x03\0\0\x03\x60\0\0\x01\x8d\0\0\x03\x96\0\0\xd0\x02\0\0\x03\x80\0\0\x01\
\x8d\0\0\x03\xc2\0\x01\x34\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x03\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2d\x12\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\0\0\0\x5a\x11\0\0\x06\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x20\0\0\0\x95\x12\0\0\x03\0\0\0\0\0\0\0\x88\0\0\0\0\0\0\x01\x40\0\
\0\0\x79\x11\0\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\x51\x11\0\0\x06\0\
\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x18\0\0\0\x14\x12\0\0\x03\0\0\0\0\0\0\x01\xc8\0\
\0\0\0\0\0\0\x88\0\0\0\x7e\x12\0\0\x03\0\0\0\0\0\0\x02\x50\0\0\0\0\0\0\x01\x40\
\0\0\0\xbc\x11\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0d\0\0\0\0\0\0\0\x58\0\0\
\0\x03\0\0\0\x01\0\0\0\0\0\0\0\xd8\0\0\0\x03\0\0\0\x01\0\0\0\0\0\0\x01\x28\0\0\
\0\x05\0\0\0\x01\0\0\0\0\0\0\x01\x68\0\0\0\x06\0\0\0\x01\0\0\0\0\0\0\x01\x98\0\
\0\0\x03\0\0\0\x01\0\0\0\0\0\0\x02\x20\0\0\0\x03\0\0\0\x01\0\0\0\0\0\0\x02\xa0\
\0\0\0\x03\0\0\0\x01\0\0\0\0\0\0\x02\xf0\0\0\0\x05\0\0\0\x01\0\0\0\0\0\0\x03\
\x30\0\0\0\x06\0\0\0\x01\0\0\0\0\0\0\x03\x60\0\0\0\x03\0\0\0\x01\0\0\0\0\0\0\
\x04\xfc\0\0\0\x05\0\0\0\x04\0\0\0\0\0\0\x05\x14\0\0\0\x03\0\0\0\x04\0\0\0\0\0\
\0\x05\x20\0\0\0\x06\0\0\0\x04\0\0\0\0\0\0\x05\x38\0\0\0\x09\0\0\0\x04\0\0\0\0\
\0\0\0\x2c\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\0\x34\0\0\0\x01\0\0\0\x04\0\0\0\0\0\
\0\0\x3c\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\0\x44\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\
\0\x58\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\0\x68\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\0\
\x78\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\0\x88\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\0\
\x98\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\0\xa8\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\0\
\xb8\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\0\xc8\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\0\
\xd8\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\0\xe8\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\0\
\xf8\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x01\x08\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\
\x01\x18\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x01\x28\0\0\0\x01\0\0\0\x04\0\0\0\0\0\
\0\x01\x38\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x01\x48\0\0\0\x01\0\0\0\x04\0\0\0\0\
\0\0\x01\x58\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x01\x68\0\0\0\x01\0\0\0\x04\0\0\0\
\0\0\0\x01\x78\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x01\x88\0\0\0\x01\0\0\0\x04\0\0\
\0\0\0\0\x01\x98\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x01\xa8\0\0\0\x01\0\0\0\x04\0\
\0\0\0\0\0\x01\xb8\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x01\xc8\0\0\0\x01\0\0\0\x04\
\0\0\0\0\0\0\x01\xd8\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x01\xe8\0\0\0\x01\0\0\0\
\x04\0\0\0\0\0\0\x01\xf8\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x02\x08\0\0\0\x01\0\0\
\0\x04\0\0\0\0\0\0\x02\x18\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x02\x28\0\0\0\x01\0\
\0\0\x04\0\0\0\0\0\0\x02\x38\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x02\x48\0\0\0\x01\
\0\0\0\x04\0\0\0\0\0\0\x02\x58\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x02\x68\0\0\0\
\x01\0\0\0\x04\0\0\0\0\0\0\x02\x78\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x02\x88\0\0\
\0\x01\0\0\0\x04\0\0\0\0\0\0\x02\x98\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x02\xa8\0\
\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x02\xb8\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x02\xc8\
\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x02\xd8\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x02\
\xe8\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x02\xf8\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\
\x03\x08\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x03\x18\0\0\0\x01\0\0\0\x04\0\0\0\0\0\
\0\x03\x28\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x03\x38\0\0\0\x01\0\0\0\x04\0\0\0\0\
\0\0\x03\x48\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x03\x58\0\0\0\x01\0\0\0\x04\0\0\0\
\0\0\0\x03\x68\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x03\x78\0\0\0\x01\0\0\0\x04\0\0\
\0\0\0\0\x03\x88\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x03\x98\0\0\0\x01\0\0\0\x04\0\
\0\0\0\0\0\x03\xa8\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x03\xb8\0\0\0\x01\0\0\0\x04\
\0\0\0\0\0\0\x03\xc8\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x03\xd8\0\0\0\x01\0\0\0\
\x04\0\0\0\0\0\0\x03\xe8\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x03\xf8\0\0\0\x01\0\0\
\0\x04\0\0\0\0\0\0\x04\x08\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\x04\x18\0\0\0\x01\0\
\0\0\x04\0\0\0\0\0\0\x04\x28\0\0\0\x01\0\0\0\x04\x0b\x0d\x10\x11\x12\x0c\x0f\0\
\x2e\x74\x65\x78\x74\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\x2e\x65\x78\x74\0\x68\
\x61\x6e\x64\x6c\x65\x5f\x6d\x65\x6d\x5f\x70\x6f\x6f\x6c\x5f\x67\x63\x5f\x73\
\x74\x61\x72\x74\0\x68\x61\x6e\x64\x6c\x65\x5f\x67\x63\x5f\x73\x74\x61\x72\x74\
\0\x2e\x72\x65\x6c\x75\x73\x64\x74\0\x2e\x62\x73\x73\0\x2e\x6d\x61\x70\x73\0\
\x70\x65\x72\x66\x5f\x6d\x61\x70\0\x64\x61\x74\x61\x5f\x6d\x61\x70\0\x2e\x6c\
\x6c\x76\x6d\x5f\x61\x64\x64\x72\x73\x69\x67\0\x6c\x69\x63\x65\x6e\x73\x65\0\
\x74\x69\x6d\x65\0\x68\x61\x6e\x64\x6c\x65\x5f\x6d\x65\x6d\x5f\x70\x6f\x6f\x6c\
\x5f\x67\x63\x5f\x65\x6e\x64\0\x68\x61\x6e\x64\x6c\x65\x5f\x67\x63\x5f\x65\x6e\
\x64\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x72\x65\
\x6c\x2e\x42\x54\x46\0\x4c\x49\x43\x45\x4e\x53\x45\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa3\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x17\xe7\0\0\0\0\0\0\0\xc4\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\0\0\0\0\x41\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\
\0\0\0\0\x03\x90\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x3d\0\
\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x12\xe0\0\0\0\0\0\0\0\
\xa0\0\0\0\x0d\0\0\0\x03\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\x71\0\0\0\
\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\xd0\0\0\0\0\0\0\0\x0d\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x4b\0\0\0\x01\0\0\0\0\0\
\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\xe0\0\0\0\0\0\0\0\x38\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x46\0\0\0\x08\0\0\0\0\0\0\0\x03\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x04\x18\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x04\0\0\0\0\0\0\0\0\0\0\0\xb7\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x04\x18\0\0\0\0\0\0\x09\x9c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\
\0\0\0\0\0\0\xb3\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x13\
\x80\0\0\0\0\0\0\0\x40\0\0\0\x0d\0\0\0\x08\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\
\0\0\0\x0b\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0d\xb4\0\0\0\
\0\0\0\x04\x38\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\x07\0\0\
\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x13\xc0\0\0\0\0\0\0\x04\
\x20\0\0\0\x0d\0\0\0\x0a\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\x63\x6f\xff\
\x4c\x03\0\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x17\xe0\0\0\0\0\0\0\0\
\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\xab\0\0\0\x02\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x11\xf0\0\0\0\0\0\0\0\xf0\0\0\0\x01\0\
\0\0\x02\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct javagc_bpf *javagc_bpf::open(const struct bpf_object_open_opts *opts) { return javagc_bpf__open_opts(opts); }
struct javagc_bpf *javagc_bpf::open_and_load() { return javagc_bpf__open_and_load(); }
int javagc_bpf::load(struct javagc_bpf *skel) { return javagc_bpf__load(skel); }
int javagc_bpf::attach(struct javagc_bpf *skel) { return javagc_bpf__attach(skel); }
void javagc_bpf::detach(struct javagc_bpf *skel) { javagc_bpf__detach(skel); }
void javagc_bpf::destroy(struct javagc_bpf *skel) { javagc_bpf__destroy(skel); }
const void *javagc_bpf::elf_bytes(size_t *sz) { return javagc_bpf__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
javagc_bpf__assert(struct javagc_bpf *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->time) == 4, "unexpected size of 'time'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __JAVAGC_BPF_SKEL_H__ */
